| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Static Public Member Functions | Static Private Attributes | List of all members
BaseObject Class Reference
Inheritance diagram for BaseObject:

## Public Member Functions
| get_app ()

## Static Public Member Functions
static | set_app ($app)

## Static Private Attributes
static | $app = null

## Detailed Description

Basic object

Contains what is usefull to any object

## Member Function Documentation

BaseObject::get_app | ( |  | ) |

Get the app

Same as get_app from boot.php

Referenced by Item\__construct(), Item\get_comment_box(), Item\get_template_data(), and Conversation\set_mode().

static BaseObject::set_app | ( |  | $app | ) |
| static

Set the app

Referenced by App\__construct().

## Member Data Documentation

BaseObject::$app = null
| static private

Referenced by set_app().

The documentation for this class was generated from the following file:

- include/BaseObject.php